//Définition des constantes
const int PinMesTension = A0; //pin qui recevra le signal du capteur
const int PinLED = 2; //pin sur laquelle la LED est branchée
const float TensionSeuil = 3; //valeur seuil de la tension mesurée

//Définition des variables
int captension;
float tension;

void setup() {
  pinMode(PinLED,OUTPUT); //on définit la sortie pilotée
  digitalWrite(PinLED,LOW); // initialement cette sortie est à l'état bas
  Serial.begin(9600); //ouverture de la communication via le port Série (baudrate de 9600)
  Serial.println("Debut de l'acquisition"); //premier message que l'on écrit
}

void loop() {
  captension = analogRead(PinMesTension); //on relève la valeur de la tension (codée sur 10 bits : sa valeur est comprise entre 0 et 1023)
  tension = (captension / 1024.0) * 5.0; //tension est la variable comprise entre 0.0V et 5.0V correspondant la variable numérisée captension
  
  Serial.println(tension); //on écrit la valeur de tension mesurée
  
  if (tension <TensionSeuil){  //si la tension mesurée sur la pin A0 est inférieure au seuil défini (3V ici)
    digitalWrite(PinLED,HIGH); //la sortie sur la pin 2 est basculée à l'état haut (LED allumée)
    delay(100);                //pendant 100 ms
    digitalWrite(PinLED,LOW);  //puis repasse à l'état bas (LED éteinte)
  }
  else{                        //si la condition n'est pas vérifiée (tension mesurée en A0 >= 3V)
    digitalWrite(PinLED,LOW);  //la sortie sur la pin 2 reste à l'état bas (LED éteinte)
  }
  delay(400);                  // on attend 400 ms avant de recommencer la boucle
}
